## indi-webcam 1.0%2B20221222161740

=== debian/changelog ===
indi-webcam (1.0+20221222161740-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113037)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:39:41 +0200

indi-webcam (1.0+20221222161740-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Dec 2022 16:18:54 +0000

indi-webcam (1.0+20220612092001-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Jun 2022 09:20:10 +0000

indi-webcam (1.0+20220129131520-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to build with ffmpeg 5.0 (Closes: #1004570)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Apr 2022 21:09:03 +0200

indi-webcam (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 17:11:22 +0000

indi-webcam (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 Dec 2021 22:30:07 +0100

indi-webcam (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Dec 2021 22:30:07 +0100

## indi-webcam 1.0+20220129131520

=== CMakeLists.txt ===
PROJECT(indi_webcam C CXX)
cmake_minimum_required(VERSION 3.0)

set (WEBCAM_VERSION_MAJOR 0)
set (WEBCAM_VERSION_MINOR 2)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

set(CMAKE_CXX_FLAGS "-g -std=c++0x ${CMAKE_CXX_FLAGS}")
#Include (CheckCXXSourceCompiles)

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations" )
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wno-deprecated-declarations")
SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations" )
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wno-deprecated-declarations")

find_package(INDI REQUIRED)
find_package(CFITSIO REQUIRED)
find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)
find_package(FFmpeg REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_webcam.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_webcam.xml)
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)

#macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
#macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${FFMPEG_INCLUDE_DIR})

if (CFITSIO_FOUND)
  include_directories(${CFITSIO_INCLUDE_DIR})
endif (CFITSIO_FOUND)

########### OpenCV ###############
set(webcam_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/indi_webcam.cpp )


add_executable(indi_webcam_ccd ${webcam_SRCS})

target_link_libraries(indi_webcam_ccd ${INDI_LIBRARIES} ${INDI_DRIVER_LIBRARIES} ${FFMPEG_LIBRARIES} ${ZLIB_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})

install(TARGETS indi_webcam_ccd RUNTIME DESTINATION bin )

install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_webcam.xml DESTINATION ${INDI_DATA_DIR})

## indi-webcam 1.0+20220612092001

=== debian/changelog ===
indi-webcam (1.0+20220612092001-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:54:08 +0000

=== debian/control ===
Source: indi-webcam
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libcfitsio-dev
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libavcodec-dev
	, libavdevice-dev
	, libavformat-dev
	, libavutil-dev
	, libswscale-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-webcam
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-webcam.git

Package: indi-webcam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI Driver for web cameras
 This package contains a driver for FFMPEG based web cameras.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-webcam 1.0+20221222161740

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,8 @@
   include_directories(${CFITSIO_INCLUDE_DIR})
 endif (CFITSIO_FOUND)
 
+include(CMakeCommon)
+
 ########### OpenCV ###############
 set(webcam_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/indi_webcam.cpp )

=== debian/changelog ===
indi-webcam (1.0+20221222161740-3build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 10:58:49 +0000

indi-webcam (1.0+20221222161740-3) unstable; urgency=medium

  * add ffmpeg8.patch (Closes: #1115018)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Dec 2025 16:39:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	, libavformat-dev
 	, libavutil-dev
 	, libswscale-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
